bdi4jade.belief

## Class DerivedPredicate<K>

- java.lang.Object
- - bdi4jade.core.MetadataElementImpl
  - - bdi4jade.belief.AbstractBelief<K,V>
    - - bdi4jade.belief.DerivedBelief<K,java.lang.Boolean>
      - - bdi4jade.belief.DerivedPredicate<K>

- All Implemented Interfaces:
    Belief<K,java.lang.Boolean>, Predicate<K>, MetadataElement, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable, java.lang.Cloneable

      public abstract class DerivedPredicate<K>
      extends DerivedBelief<K,java.lang.Boolean>
      implements Predicate<K>

  This class represents a logic predicate that is derived from other agent belief. The evaluation of this predicate is not given, but derived from other values of a belief base.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.core.MetadataElementImpl

      `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerivedPredicate()` The default constructor.
    `DerivedPredicate(K name)` Creates a new derived predicate.

  - ### Method Summary

    - ### Methods inherited from class bdi4jade.belief.DerivedBelief

      `addBeliefBase, evaluate, getMainBeliefBase, getValue, removeBeliefBase, setMainBeliefBase, updateValue`

    - ### Methods inherited from class bdi4jade.belief.AbstractBelief

      `clone, equals, getBeliefBases, getName, hashCode, notifyBeliefBases, setName, setValue, toString`

    - ### Methods inherited from class bdi4jade.core.MetadataElementImpl

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.belief.Belief

      `addBeliefBase, clone, getBeliefBases, getName, getValue, removeBeliefBase, setValue`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Constructor Detail

    - #### DerivedPredicate

          public DerivedPredicate()

      The default constructor. It should be only used if persistence frameworks are used.

    - #### DerivedPredicate

          public DerivedPredicate(K name)

      Creates a new derived predicate. The value of this belief cannot be set as it is derived from other values of a belief base.
      Parameters:
        `name` - the belief name.